load('pyramidal_response.mat')
threshold = 20; % mV

hold on
plot(time*1000.0, neuronal_data, 'color', [0.2 0.5 0.7], ...
    'linewidth', 1., 'displayname', 'Membrane voltage')
plot(spikes*1000.0, ones(size(spikes)) .* threshold, 'r.', ...
    'markersize', 15, 'displayname', 'Spike times')
line([time(1) time(end)], [threshold threshold], 'linestyle', '--', ...
    'linewidth', 0.75, 'color', [0.5 0.5 0.5], 'displayname', 'Threshold')

xlabel('Time [ms]', 'fontname', 'times', 'fontsize', 11)
ylabel('Potential [mV]', 'fontname', 'times', 'fontsize', 11)
title('ELL pyramidal neuron', 'fontname', 'times', 'fontsize', 12)
ylim([0 40])
xlim([500 1700])
box('off')
l = legend(gca,'show');
set(l,'location','northeast', 'fontsize', 11, 'linewidth', 1.);
set(gca, 'xminortick','on','yminortick','on')
set(gca, 'tickdir','out', 'linewidth', 1.5, 'fontname', 'times', ...
    'fontsize', 11)
set(gcf, 'paperunits', 'centimeters', 'papersize', [15 7]);
set(gcf, 'paperposition',[0.0 0.0 15, 7], 'color', 'white')

saveas(gcf, 'spike_detection.pdf', 'pdf')